# Simple mail  viewer using Rust Qt Binding Generator

## Compilation

Install rustc, cargo, and Qt.

```bash
cd mailmodel/rust
cargo build --release
```

## Running the progam

Create a configuration file for MailDir or IMAP.

```json
{
    "MailDir": {
        "path": "/home/user/mail"
    }
}
```

```json
{
    "IMAP": {
        "domain": "imap.electronmail.org",
        "username": "username",
        "password": "v3ry53cur3",
        "port": 993,
        "ssl": true
    }
}
```

```bash
./mailmodel config.json
```

or

```bash
cargo run --release -- config.json
```
